// Generated using
//   rake js:generate_factories_test

import { describe, expect, test} from 'vitest'
<% @factories.each_key do |file| %>
import { <%= @factories[file].join(', ') %> } from './factories/<%= File.basename file %>'<% end %>

describe('factories', () => {
  const factories = {<% @factories.each do |file, factories| %>
    <%= factories.join(', ') %>,<% end %>
  }

  const keys = Object.keys(factories)
  keys.forEach((name) => {
    test(`${name} builds`, () => {
      expect(() => {factories[name].build()}).not.toThrow()
    })
  })
})
